Ir al contenido

Products

GET /v1/products
GET /v1/products/:id
POST /v1/products
PATCH /v1/products/:id
DELETE /v1/products/:id
GET /v1/products?limit=50&offset=0

Response:

{
"data": [
{
"id": "prod_9f03",
"sku": "BURGER-001",
"name": "Hamburguesa Simple",
"description": "Medallón, queso y pan",
"price": 8500,
"visible": true,
"image_url": "https://cdn.orderfast.com.ar/products/burger.png",
"stock": {
"enabled": true,
"quantity": 30,
"min_stock_alarm": 5
},
"categories": [
{
"id": "cat_123",
"name": "Hamburguesas"
}
]
}
],
"pagination": {
"limit": 50,
"offset": 0,
"total": 1
}
}
POST /v1/products

Request:

{
"sku": "PIZZA-001",
"name": "Pizza muzzarella",
"description": "Pizza grande de muzzarella",
"price": 12000,
"visible": true,
"category_ids": ["cat_123"],
"stock": {
"enabled": true,
"quantity": 20,
"min_stock_alarm": 3
}
}